## org.eclipse.datatools.modelbase.dbdefinition
Class CheckOption

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.CheckOption

public final class CheckOption
extends AbstractEnumerator

A representation of the literals of the enumeration 'Check Option', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getCheckOption()`, Serialized Form

Field Summary
`static int` `CASCADE` The 'CASCADE' literal value.
`static CheckOption` `CASCADE_LITERAL` The 'CASCADE' literal object.
`static int` `LOCAL` The 'LOCAL' literal value.
`static CheckOption` `LOCAL_LITERAL` The 'LOCAL' literal object.
`static int` `NONE` The 'NONE' literal value.
`static CheckOption` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Check Option' enumerators.

Method Summary
`static CheckOption` `get(int value)` Returns the 'Check Option' literal with the specified value.
`static CheckOption` `get(java.lang.String name)` Returns the 'Check Option' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### CASCADE

    public static final int CASCADE

  The 'CASCADE' literal value.

  See Also:
    `CASCADE_LITERAL`, Constant Field Values

### LOCAL

    public static final int LOCAL

  The 'LOCAL' literal value.

  See Also:
    `LOCAL_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final CheckOption NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### CASCADE_LITERAL

    public static final CheckOption CASCADE_LITERAL

  The 'CASCADE' literal object.

  If the meaning of 'CASCADE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CASCADE`

### LOCAL_LITERAL

    public static final CheckOption LOCAL_LITERAL

  The 'LOCAL' literal object.

  If the meaning of 'LOCAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOCAL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Check Option' enumerators.

Method Detail

### get

    public static CheckOption get(java.lang.String name)

  Returns the 'Check Option' literal with the specified name.

### get

    public static CheckOption get(int value)

  Returns the 'Check Option' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.